Loading...
Searching...
No Matches
RDKit::MorganFingerprint::MorganArguments Class Reference

Class for holding Morgan fingerprint specific arguments. More...

`#include <MorganGenerator.h>`

Inheritance diagram for RDKit::MorganFingerprint::MorganArguments:

## Public Member Functions

std::string | infoString () const override
| method that returns information string about the fingerprint specific argument set and the arguments themselves
| MorganArguments (unsigned int radius=3, bool countSimulation=false, bool includeChirality=false, bool onlyNonzeroInvariants=false, std::vector< std::uint32_t > countBounds={1, 2, 4, 8}, std::uint32_t fpSize=2048, bool includeRedundantEnvironments=false, bool useBondTypes=true)
| Construct a new MorganArguments object.
Public Member Functions inherited from RDKit::FingerprintArguments
| FingerprintArguments (bool countSimulation, const std::vector< std::uint32_t > countBounds, std::uint32_t fpSize, std::uint32_t numBitsPerFeature=1, bool includeChirality=false)
std::string | commonArgumentsString () const
| method that returns information string about common fingerprinting arguments' values
virtual | ~FingerprintArguments ()
| FingerprintArguments ()=default

## Public Attributes

bool | df_onlyNonzeroInvariants = false
unsigned int | d_radius = 3
bool | df_includeRedundantEnvironments = false
bool | df_useBondTypes = true
Public Attributes inherited from RDKit::FingerprintArguments
bool | df_countSimulation = false
bool | df_includeChirality = false
std::vector< std::uint32_t > | d_countBounds
std::uint32_t | d_fpSize = 2048
std::uint32_t | d_numBitsPerFeature = 1

## Detailed Description

Class for holding Morgan fingerprint specific arguments.

Definition at line 107 of file MorganGenerator.h.

## Constructor & Destructor Documentation

## MorganArguments()

RDKit::MorganFingerprint::MorganArguments::MorganArguments | ( | unsigned int | radius = 3,
|  | bool | countSimulation = false,
|  | bool | includeChirality = false,
|  | bool | onlyNonzeroInvariants = false,
|  | std::vector< std::uint32_t > | countBounds = {1, 2, 4, 8},
|  | std::uint32_t | fpSize = 2048,
|  | bool | includeRedundantEnvironments = false,
|  | bool | useBondTypes = true )

inline

Construct a new MorganArguments object.

Parameters

  radius | the number of iterations to grow the fingerprint
  countSimulation | if set, use count simulation while generating the fingerprint
  includeChirality | if set, chirality information will be added to the generated bit id, independently from bond invariants
  onlyNonzeroInvariants | if set, bits will only be set from atoms that have a nonzero invariant
  countBounds | boundaries for count simulation, corresponding bit will be set if the count is higher than the number provided for that spot
  fpSize | size of the generated fingerprint, does not affect the sparse versions
  includeRedundantEnvironments | if set redundant environments will be included in the fingerprint
  useBondTypes | if set bond types will be included in the fingerprint

Definition at line 134 of file MorganGenerator.h.

## Member Function Documentation

## infoString()

std::string RDKit::MorganFingerprint::MorganArguments::infoString | ( |  | ) | const

override virtual

method that returns information string about the fingerprint specific argument set and the arguments themselves

Returns
  std::string information string

Implements RDKit::FingerprintArguments.

## Member Data Documentation

## d_radius

unsigned int RDKit::MorganFingerprint::MorganArguments::d_radius = 3

Definition at line 110 of file MorganGenerator.h.

## df_includeRedundantEnvironments

bool RDKit::MorganFingerprint::MorganArguments::df_includeRedundantEnvironments = false

Definition at line 111 of file MorganGenerator.h.

## df_onlyNonzeroInvariants

bool RDKit::MorganFingerprint::MorganArguments::df_onlyNonzeroInvariants = false

Definition at line 109 of file MorganGenerator.h.

## df_useBondTypes

bool RDKit::MorganFingerprint::MorganArguments::df_useBondTypes = true

Definition at line 112 of file MorganGenerator.h.

The documentation for this class was generated from the following file:

- MorganGenerator.h